Ipelib: ipe::ClosedSpline Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# ipe::ClosedSpline Class Reference
Ipe Geometry

A closed B-spline curve. More...

`#include <ipeshape.h>`

Inherits ipe::SubPath.

List of all members.

## Public Member Functions

- ClosedSpline (const std::vector< Vector > &v)
- virtual Type type () const
- virtual const ClosedSpline * asClosedSpline () const
- void beziers (std::vector< Bezier > &bez) const
- virtual void save (Stream &stream) const
- virtual void draw (Painter &painter) const
- virtual void addToBBox (Rect &box, const Matrix &m, bool cp) const
- virtual double distance (const Vector &v, const Matrix &m, double bound) const
- virtual void snapVtx (const Vector &mouse, const Matrix &m, Vector &pos, double &bound) const
- virtual void snapBnd (const Vector &mouse, const Matrix &m, Vector &pos, double &bound) const

## Public Attributes

- std::vector< Vector > iCP

## Detailed Description

A closed B-spline curve.

## Constructor & Destructor Documentation

ClosedSpline::ClosedSpline | ( | const std::vector< Vector > & | v | ) |

## Member Function Documentation

SubPath::Type ClosedSpline::type | ( |  | ) | const`[virtual]`

Return type of this subpath.

Implements ipe::SubPath.

const ClosedSpline * ClosedSpline::asClosedSpline | ( |  | ) | const`[virtual]`

Return this object as an ClosedSpline, or 0 if it's not a closed spline.

Reimplemented from ipe::SubPath.

void ClosedSpline::beziers | ( | std::vector< Bezier > & | bez | ) | const

void ClosedSpline::save | ( | Stream & | stream | ) | const`[virtual]`

Save subpath to XML stream.

Implements ipe::SubPath.

void ClosedSpline::draw | ( | Painter & | painter | ) | const`[virtual]`

Draw subpath (does not call drawPath()).

Implements ipe::SubPath.

void ClosedSpline::addToBBox | ( | Rect & | box,
|  | const Matrix & | m,
|  | bool | cp
| ) |  | const`[virtual]`

Add subpath to box.

Implements ipe::SubPath.

double ClosedSpline::distance | ( | const Vector & | v,
|  | const Matrix & | m,
|  | double | bound
| ) |  | const`[virtual]`

Return distance from v to subpath transformed by m.

Implements ipe::SubPath.

void ClosedSpline::snapVtx | ( | const Vector & | mouse,
|  | const Matrix & | m,
|  | Vector & | pos,
|  | double & | bound
| ) |  | const`[virtual]`

Snap to vertex.

Implements ipe::SubPath.

void ClosedSpline::snapBnd | ( | const Vector & | mouse,
|  | const Matrix & | m,
|  | Vector & | pos,
|  | double & | bound
| ) |  | const`[virtual]`

Snap to boundary of subpath.

Implements ipe::SubPath.

## Member Data Documentation

std::vector<Vector> ipe::ClosedSpline::iCP

The documentation for this class was generated from the following files:

- ipeshape.h
- ipeshape.cpp